> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet and crypto portfolio



## OpenAPI

````yaml /openapi.json get /api/v1/wallet/me
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/wallet/me:
    get:
      tags:
        - Wallet Account
      summary: Get wallet and crypto portfolio
      operationId: WalletAccountController_getWallet
      parameters:
        - name: chainId
          required: false
          in: query
          schema:
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserWalletResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    UserWalletResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/UserWalletDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    UserWalletDto:
      type: object
      properties:
        nairaBalance:
          type: number
        evmPortfolio:
          type: object
        solPortfolio:
          type: object
        subwallets:
          type: array
          items:
            $ref: '#/components/schemas/SubWalletDto'
      required:
        - nairaBalance
        - subwallets
    SubWalletDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        createdAt:
          format: date-time
          type: string
          description: Record creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: Record last updated timestamp
        deletedDate:
          format: date-time
          type: string
          description: Record deletion timestamp
        parentWalletId:
          type: string
        type:
          type: string
          enum:
            - FIAT
            - CRYPTO
        currency:
          type: string
        balance:
          type: number
        chain:
          type: string
          nullable: true
        publicAddress:
          type: string
          nullable: true
        evmPortfolio:
          type: object
        solPortfolio:
          type: object
      required:
        - id
        - createdAt
        - updatedAt
        - deletedDate
        - parentWalletId
        - type
        - currency
        - balance
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````